Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.quartz
Class ReportJobsQuartzScheduler

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.quartz.ReportJobsQuartzScheduler

All Implemented Interfaces:
  ReportJobsScheduler, org.springframework.beans.factory.InitializingBean

    public class ReportJobsQuartzScheduler

extends java.lang.Object
implements ReportJobsScheduler, org.springframework.beans.factory.InitializingBean

Version:
  $Id: ReportJobsQuartzScheduler.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected class` | `ReportJobsQuartzScheduler.ReportSchedulerQuartzListener`
`protected class` | `ReportJobsQuartzScheduler.ReportSchedulerTriggerListener`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ReportJobsQuartzScheduler()`

Method Summary
`void` | `addReportSchedulerListener(ReportSchedulerListener listener)`
`void` | `afterPropertiesSet()`
`protected org.quartz.JobDetail` | `createJobDetail(ReportJob job)`
`protected org.quartz.Trigger` | `createTrigger(ReportJob reportJob)`
`protected org.quartz.Trigger` | `createTrigger(ReportJobCalendarTrigger jobTrigger)`
`protected org.quartz.Trigger` | `createTrigger(ReportJobSimpleTrigger jobTrigger)`
`protected java.lang.String` | `enumerateCronVals(java.util.SortedSet vals, int totalCount)`
`protected java.lang.String` | `getCronExpression(ReportJobCalendarTrigger jobTrigger)`
`protected java.util.Date` | `getEndDate(ReportJobTrigger jobTrigger)`
`protected java.util.Set` | `getExecutingJobNames()`
`protected ReportJobRuntimeInformation` | `getJobRuntimeInformation(long jobId, java.util.Set executingJobNames)`
`ReportJobRuntimeInformation[]` | `getJobsRuntimeInformation(ExecutionContext context, long[] jobIds)`
`protected byte` | `getJobState(org.quartz.Trigger trigger, java.util.Set executingJobNames)`
`java.lang.Class` | `getReportExecutionJobClass()`
`protected org.quartz.Trigger` | `getReportJobTrigger(long jobId)`
`org.quartz.Scheduler` | `getScheduler()`
`protected java.util.Date` | `getStartDate(ReportJobTrigger jobTrigger)`
`protected java.util.TimeZone` | `getTriggerTimeZone(ReportJobTrigger jobTrigger)`
`protected java.lang.String` | `jobName(long jobId)`
`protected void` | `notifyListenersOfFinalizedJob(long jobId)`
`void` | `removeReportSchedulerListener(ReportSchedulerListener listener)`
`void` | `removeScheduledJob(ExecutionContext context, long jobId)`
`protected int` | `repeatCount(ReportJobSimpleTrigger jobTrigger)`
`protected void` | `reportTriggerFinalized(org.quartz.Trigger trigger)`
`void` | `rescheduleJob(ExecutionContext context, ReportJob job)`
`void` | `scheduleJob(ExecutionContext context, ReportJob job)`
`void` | `setReportExecutionJobClass(java.lang.Class reportExecutionJobClass)`
`void` | `setScheduler(org.quartz.Scheduler scheduler)`
`protected java.util.Date` | `translateFromTriggerTimeZone(ReportJobTrigger jobTrigger, java.util.Date date)`
`protected java.lang.String` | `triggerName(ReportJobTrigger jobTrigger)`
`void` | `validate(ReportJob job, ValidationErrors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### ReportJobsQuartzScheduler

    public ReportJobsQuartzScheduler()

Method Detail

### getScheduler

    public org.quartz.Scheduler getScheduler()

### setScheduler

    public void setScheduler(org.quartz.Scheduler scheduler)

### getReportExecutionJobClass

    public java.lang.Class getReportExecutionJobClass()

### setReportExecutionJobClass

    public void setReportExecutionJobClass(java.lang.Class reportExecutionJobClass)

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### scheduleJob

    public void scheduleJob(ExecutionContext context,
                            ReportJob job)

  Specified by:
    `scheduleJob` in interface `ReportJobsScheduler`

### createJobDetail

    protected org.quartz.JobDetail createJobDetail(ReportJob job)

### rescheduleJob

    public void rescheduleJob(ExecutionContext context,
                              ReportJob job)

  Specified by:
    `rescheduleJob` in interface `ReportJobsScheduler`

### getReportJobTrigger

    protected org.quartz.Trigger getReportJobTrigger(long jobId)
                                              throws org.quartz.SchedulerException

  Throws:
    `org.quartz.SchedulerException`

### jobName

    protected java.lang.String jobName(long jobId)

### triggerName

    protected java.lang.String triggerName(ReportJobTrigger jobTrigger)

### createTrigger

    protected org.quartz.Trigger createTrigger(ReportJob reportJob)

### createTrigger

    protected org.quartz.Trigger createTrigger(ReportJobSimpleTrigger jobTrigger)

### getEndDate

    protected java.util.Date getEndDate(ReportJobTrigger jobTrigger)

### translateFromTriggerTimeZone

    protected java.util.Date translateFromTriggerTimeZone(ReportJobTrigger jobTrigger,
                                                          java.util.Date date)

### getStartDate

    protected java.util.Date getStartDate(ReportJobTrigger jobTrigger)

### repeatCount

    protected int repeatCount(ReportJobSimpleTrigger jobTrigger)

### createTrigger

    protected org.quartz.Trigger createTrigger(ReportJobCalendarTrigger jobTrigger)

### getTriggerTimeZone

    protected java.util.TimeZone getTriggerTimeZone(ReportJobTrigger jobTrigger)

### getCronExpression

    protected java.lang.String getCronExpression(ReportJobCalendarTrigger jobTrigger)

### enumerateCronVals

    protected java.lang.String enumerateCronVals(java.util.SortedSet vals,
                                                 int totalCount)

### removeScheduledJob

    public void removeScheduledJob(ExecutionContext context,
                                   long jobId)

  Specified by:
    `removeScheduledJob` in interface `ReportJobsScheduler`

### getJobsRuntimeInformation

    public ReportJobRuntimeInformation[] getJobsRuntimeInformation(ExecutionContext context,
                                                                   long[] jobIds)

  Specified by:
    `getJobsRuntimeInformation` in interface `ReportJobsScheduler`

### getJobRuntimeInformation

    protected ReportJobRuntimeInformation getJobRuntimeInformation(long jobId,
                                                                   java.util.Set executingJobNames)
                                                            throws org.quartz.SchedulerException

  Throws:
    `org.quartz.SchedulerException`

### getJobState

    protected byte getJobState(org.quartz.Trigger trigger,
                               java.util.Set executingJobNames)
                        throws org.quartz.SchedulerException

  Throws:
    `org.quartz.SchedulerException`

### getExecutingJobNames

    protected java.util.Set getExecutingJobNames()
                                          throws org.quartz.SchedulerException

  Throws:
    `org.quartz.SchedulerException`

### addReportSchedulerListener

    public void addReportSchedulerListener(ReportSchedulerListener listener)

  Specified by:
    `addReportSchedulerListener` in interface `ReportJobsScheduler`

### removeReportSchedulerListener

    public void removeReportSchedulerListener(ReportSchedulerListener listener)

  Specified by:
    `removeReportSchedulerListener` in interface `ReportJobsScheduler`

### notifyListenersOfFinalizedJob

    protected void notifyListenersOfFinalizedJob(long jobId)

### reportTriggerFinalized

    protected void reportTriggerFinalized(org.quartz.Trigger trigger)

### validate

    public void validate(ReportJob job,
                         ValidationErrors errors)

  Specified by:
    `validate` in interface `ReportJobsScheduler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.